Package net.snowflake.client.jdbc.telemetry

## Class RevocationCheckTelemetryData

- java.lang.Object
- - net.snowflake.client.jdbc.telemetry.RevocationCheckTelemetryData

    @SnowflakeJdbcInternalApi
    public class RevocationCheckTelemetryData
    extends Object

### Constructor Summary

Constructors
`RevocationCheckTelemetryData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TelemetryData` `buildTelemetry()`
`void` `setCrlBytes​(long crlBytes)`
`void` `setCrlUrl​(String crlUrl)`
`void` `setNumberOfRevokedCertificates​(int numberOfRevokedCertificates)`
`void` `setTimeDownloadingCrl​(long timeDownloadingCrl)`
`void` `setTimeParsingCrl​(long timeParsingCrl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RevocationCheckTelemetryData

    public RevocationCheckTelemetryData()

### Method Detail

#### setTimeParsingCrl

    public void setTimeParsingCrl​(long timeParsingCrl)

#### setTimeDownloadingCrl

    public void setTimeDownloadingCrl​(long timeDownloadingCrl)

#### setCrlUrl

    public void setCrlUrl​(String crlUrl)

#### setCrlBytes

    public void setCrlBytes​(long crlBytes)

#### setNumberOfRevokedCertificates

    public void setNumberOfRevokedCertificates​(int numberOfRevokedCertificates)

#### buildTelemetry

    public TelemetryData buildTelemetry()